Browser Requirements for Virtual Contact Center Integrations

The following browsers support 8x8 Virtual Contact Center and its integrations:

  • Google Chrome (Build 50 or newer)
  • Mozilla Firefox (Build 39 or newer)
  • Microsoft Internet Explorer 11 or newer
  • Microsoft Edge

Known Issue: If you use Internet Explorer to run Virtual Contact Center applications, you may encounter high memory usage. To resolve this issue, clear cookies and cache, activate the setting to clear history, clear history on exit, and reboot.

Note: Virtual Contact Center is partially compatible with Safari, offering support for the Agent Console Control Panel functionality.

Note: Firefox requires the QuickTime plug-in for audio features.

Installation Requirements

To enable your CRM instance to interoperate with your Virtual Contact Center, you must have administrative access to:

  • Your CRM account.
  • Configuration Manager of Virtual Contact Center.
  • Access permission to Contact, Account, and Lead objects in Salesforce.

Supported Salesforce Editions

Virtual Contact Center integration is supported on the following editions of Salesforce:

  • Enterprise
  • Unlimited
  • Performance